# Uses of Class
org.eclipse.swt.events.TraverseEvent

Packages that use TraverseEvent
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.events
SWT typed listener support.

## Uses of TraverseEvent in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type TraverseEvent
Modifier and Type
Method
Description
`protected void`
ColumnViewerEditor.`processTraverseEvent(int columnIndex, ViewerRow row, TraverseEvent event)`
Process the traverse event and opens the next available editor depending of the implemented strategy.
Constructors in org.eclipse.jface.viewers with parameters of type TraverseEvent
Modifier
Constructor
Description
``
`ColumnViewerEditorActivationEvent(ViewerCell cell, TraverseEvent event)`
This constructor is used to mark the activation triggered by a traversal

## Uses of TraverseEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type TraverseEvent
Modifier and Type
Method
Description
`void`
TraverseListener.`keyTraversed(TraverseEvent e)`
Sent when a traverse event occurs in a control.